Determine whether an object has been marked as garbage

- « Collectable

- Pool »

- PHP Manual
- Collectable
- Determine whether an object has been marked as garbage

# Collectable::isGarbage

(PECL pthreads >= 2.0.8)

Collectable::isGarbage — Determine whether an object has been marked as garbage

### Description

public Collectable::isGarbage(): true

Can be called in Pool::collect() to determine if this object is garbage.

### Parameters

This function has no parameters.

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.2.0 | The return type is `true` now; previously, it was bool.

### See Also

- Pool::collect() - Collect references to completed tasks